User account creation filtered due to spam.

Bug 17668 - gcj compiler error: "PasswortGenerator.java:11: internal compiler error: in emit_move_insn_1, at expr.c:3543" when using "1++" in the last part of a for statement
Summary: gcj compiler error: "PasswortGenerator.java:11: internal compiler error: in e...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 3.3.4
: P3 minor
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-invalid-code
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-25 13:25 UTC by j.breier
Modified: 2007-01-09 20:46 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail: 4.0.0
Last reconfirmed: 2005-06-25 18:39:52


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description j.breier 2004-09-25 13:25:46 UTC
Hello,
This is the command and it's output:
gcj -v --main=passwortGenerator -o PasswortGenerator PasswortGenerator.java
Reading specs from /usr/lib/gcc-lib/i486-linux/3.3.4/specs
Reading specs from /usr/lib/gcc-lib/i486-linux/3.3.4/../../../libgcj.spec
rename spec lib to liborig
Configured with: ../src/configure -v
--enable-languages=c,c++,java,f77,pascal,objc,ada,treelang --prefix=/usr
--mandir=/usr/share/man --infodir=/usr/share/info
--with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared --with-system-zlib
--enable-nls --without-included-gettext --enable-__cxa_atexit
--enable-clocale=gnu --enable-debug --enable-java-gc=boehm
--enable-java-awt=xlib --enable-objc-gc i486-linux
Thread model: posix
gcc version 3.3.4 (Debian 1:3.3.4-6sarge1)
 /usr/lib/gcc-lib/i486-linux/3.3.4/jc1 PasswortGenerator.java
-fhash-synchronization -fno-use-divide-subroutine -fuse-boehm-gc
-fnon-call-exceptions -fkeep-inline-functions -quiet -dumpbase
PasswortGenerator.java -auxbase PasswortGenerator -g1 -version -o /tmp/cc2WjUy4.s
GNU Java version 3.3.4 (Debian 1:3.3.4-6sarge1) (i486-linux)
        compiled by GNU C version 3.3.4 (Debian 1:3.3.4-6sarge1).
GGC heuristics: --param ggc-min-expand=47 --param ggc-min-heapsize=32127
Class path starts here:
    ./
    /usr/share/java/libgcj-3.3.4.jar/ (system) (zip)
PasswortGenerator.java: In class `passwortGenerator':
PasswortGenerator.java: In method `passwortGenerator.main(java.lang.String[])':
PasswortGenerator.java:11: internal compiler error: in emit_move_insn_1, at
expr.c:3543
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
For Debian GNU/Linux specific bug reporting instructions, see
<URL:file:///usr/share/doc/gcc-3.3/README.Bugs>.

This is PasswortGenerator.java:
 class passwortGenerator
   {
   public static void main(String args[])
      {
      
      System.out.println("                
+-------------------------------------------+");
      System.out.println("                 | Passwort Generator von Jakob
Breier, 2004 |");
      System.out.println("                
+-------------------------------------------+");
      System.out.println("\nDenken Sie daran, dass Sie nur Passwoerter
verwenden, die auf einem");
      System.out.println("vertrauenswuerdigen Sytem erstellt wurden!");
      for(int i=0;i<1000;1++)
         System.out.println(System.currentTimeMillis());
      
      
      }
   
   public static String passwortErstellen()
      {
      String ergebnis="";
      return ergebnis;
      }
      
   public static String zufallsAuswahl(String kompletteAuswahl[])
      {
      String ergebnis="";
      return ergebnis;
      }
   
   public static String positionenDurchmischen(String text)
      {
      String ergebnis="";
      return ergebnis;
      }
   
   }
Comment 1 j.breier 2004-09-25 13:38:01 UTC
passwortGenerator.java again, reduced to that what is really necessary:

class passwortGenerator
   {
   public static void main(String args[])
      {
      for(int i=0;i<1000;1++)
         ;
      }
   }

gcj --main=passwortGenerator -o PasswortGenerator PasswortGenerator.java
PasswortGenerator.java: In class `passwortGenerator':
PasswortGenerator.java: In method `passwortGenerator.main(java.lang.String[])':
PasswortGenerator.java:5: internal compiler error: in emit_move_insn_1, at
expr.c:3543
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
For Debian GNU/Linux specific bug reporting instructions, see
<URL:file:///usr/share/doc/gcc-3.3/README.Bugs>.
Comment 2 Andreas Tobler 2004-09-25 13:45:15 UTC
Wrong code:
for(int i=0;i<1000;1++)

Should increment i and not 1.
-->> for(int i=0;i<1000;i++)
Comment 3 j.breier 2004-09-25 14:08:36 UTC
(In reply to comment #2)
> Wrong code:
> for(int i=0;i<1000;1++)
> 
> Should increment i and not 1.
> -->> for(int i=0;i<1000;i++)

Well, yes, I know, but the gcj output told me to "submit a full bug report"
Did I do this wrong (I'm quite new to gcc and bugzilla).
Comment 4 Andrew Pinski 2004-09-25 15:14:11 UTC
You did nothing wrong, this should be rejected instead of ICEing.
Comment 5 Andrew Pinski 2004-09-25 15:24:47 UTC
Still fails to be rejected on the mainline but we have a different ICE now:
gimplification failed:
1 <integer_cst 0x4135fb60 type <integer_type 0x4135d600 int> constant invariant 1>
pr17668.java: In class `passwortGenerator':
pr17668.java: In method `passwortGenerator.main(java.lang.String[])':
pr17668.java:5: internal compiler error: gimplification failed
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
Comment 6 Tom Tromey 2007-01-09 20:46:28 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.